Subject: bug#11430: 24.0.96; Customizing `inverse-video' has no effect on session

From: Stefan Kangas <[email-masked]>
Date: Fri, 01 Nov 2019 19:16:36 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> "Drew Adams" <[email-masked]> writes:
>
>> emacs -Q
>> M-x customize-variable inverse-video
>> Toggle the value to choose inverse video.  Set for current session.
>>
>> It has no effect, either on existing frames or on new ones.
>
> Hm.  Is this a deprecated variable or something?  Or is it only used on
> startup?  In any case, the doc string should probably mention this,
> whatever is going on...

Not sure what it is.  It seems to be orthogonal to "emacs
--reverse-video", and has no effect when I try setting it manually in a
running session, nor when I run "emacs --eval='(setq inverse-video t)'
-Q -nw".

It was removed from the manual here:
b4a1a8b278 2010-03-02 Chong Yidong * frames.texi (Mouse Avoidance): Mention make-pointer-invisible.

I also found the following:

./src/ChangeLog.9:

> 2001-10-20  Miles Bader  <[email-masked]>
[...]
> 	The following changes remove inverse-video support for terminals
> 	that use a `magic cookie' standout mode.  Due to changes in the
> 	way mode-lines are displayed, such support no longer works
> 	anyway, and it's probable that almost no one uses such terminals
> 	anymore:
[...]
> 2001-04-25  Gerd Moellmann  <[email-masked]>
> 
> 	* faces.el (tty-handle-reverse-video): Don't set inverse-video.

So I have the same question as Lars: is this just some old obsolete
variable that should be removed?

Best regards,
Stefan Kangas